Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004530 [JEDI VCL] 00 JVCL Components minor always 2008-10-13 03:18 2008-12-22 06:08
Reporter whf View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004530: TJvWideEditor display Unicode String Error
Description Hi

TJvWideEditor display Unicode String Error
I test in delphi 7,delphi 2009 use daily zip Version JVCL,Both Error
Additional Information
Tags No tags attached.
Attached Files rar file icon test.rar [^] (70,053 bytes) 2008-10-13 03:18

- Relationships

-  Notes
(0014843)
obones (administrator)
2008-10-13 04:55

Apparently the spacing between characters is not correct.
Available for anyone to look at.
(0015071)
whf (reporter)
2008-12-02 06:38

this bug still in the new version jvcl
this bug exists in TJvEditor in Delphi 2009
(0015072)
whf (reporter)
2008-12-02 19:15

modify JvEditor.pas

procedure TJvCustomEditor.PaintLineText(Line: Integer; ColBeg, ColEnd: Integer;
  var ColPainted: Integer);
......
    while ColPainted < MX do
    begin
      with Canvas do
      begin
        iC := ColPainted + 1;
        LA := LineAttrs[iC];
        jC := iC + 1;
        if iC <= SL then
          Ch := S[iC]
        else
          Ch := ' ';
        jCStart := jC;
        while (jC <= MX + 1) and
          CompareMem(@LA, @LineAttrs[jC], SizeOf(LineAttrs[1])) do
            Inc(jC);
        Ch := Copy(S, jCStart - 1, jC - jCStart + 1);
        if jC > SL + 1 then
          Ch := Ch + Spaces(jC - SL - 1);

//Add this code can display current,but other bug like can not input text use imm Exist!
{$IFDEF COMPILER12_UP}
    for iC := 0 to High(MyDi) - 1 do
    begin
      if ic < Length(ch) then
        MyDi[ic] := EditorClient.Canvas.TextWidth(ch[ic + 1])
      else
        MyDi[iC] := CellRect.Width;
    end;
{$ENDIF}
(0015163)
obones (administrator)
2008-12-22 06:08

Thanks for the patch, it is in SVN now.

- Issue History
Date Modified Username Field Change
2008-10-13 03:18 whf New Issue
2008-10-13 03:18 whf File Added: test.rar
2008-10-13 04:55 obones Note Added: 0014843
2008-10-13 04:56 obones Status new => acknowledged
2008-12-02 06:39 whf Note Added: 0015071
2008-12-02 19:15 whf Note Added: 0015072
2008-12-22 06:08 obones Note Added: 0015163
2008-12-22 06:08 obones Status acknowledged => resolved
2008-12-22 06:08 obones Fixed in Version => Daily / SVN
2008-12-22 06:08 obones Resolution open => fixed
2008-12-22 06:08 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker